### Function

# Fwupd Plugin flag_from_string

#### Declaration [src]

    FwupdPluginFlags
    fwupd_plugin_flag_from_string (
      const gchar* plugin_flag
    )

#### Description [src]

Converts a string to an enumerated plugin flag.

Available since: | 1.5.0

#### Parameters

`plugin_flag` | `const gchar*`
| A string, e.g. `require-ac`
| The argument can be `NULL`.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.

#### Return value

Returns: | `FwupdPluginFlags`
| Enumerated value.